%define srcname greenlet

Name:		python-greenlet
Version:	0.4.1
Release:	%mkrel 1
Summary:	A spin-off of Stackless
License:	MIT
Group:		System/Libraries
Url:		http://pypi.python.org/pypi/greenlet

Source0:	http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.zip

BuildRequires:	glibc-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	A spin-off of Stackless
Group:		System/Libraries
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot} 
popd

%{__python} setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

%check
# Run the upstream test suite:
%{__python} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%{_includedir}/python2.7/%{srcname}
%{python_sitearch}/%{srcname}*

%files -n python3-greenlet
%{_includedir}/python3.*/%{srcname}
%{python3_sitearch}/%{srcname}*



%changelog
* Wed Dec 11 2013 philippem <philippem> 0.4.1-1.mga4
+ Revision: 556333
- update to 0.4.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.4.0-4.mga4
+ Revision: 543416
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.0-3.mga4
+ Revision: 498705
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 378960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.4.0-1.mga3
+ Revision: 283875
- New version

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.3.4-1.mga3
+ Revision: 222985
- imported package python-greenlet


* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.3.4-1.mga2
- initial package for Mageia
